#ifndef _LC227_H_INCLUDED
#define _LC227_H_INCLUDED

#define MODULE_LC227A 0x61
#define MODULE_LC227C 0x63
#define MODULE_LC227K 0x6b
#define MODULE_LC227R 0x72
#define MODULE_LC227T 0x74
#define MODULE_LC227U 0x75
#define MODULE_LC227V 0x76
#define MODULE_LC227W 0x77

#define CALIBR227_POINT_3  3
#define CALIBR227_POINT_5  5
#define CALIBR227_POINT_7  7

#define N_KOEFF3        CALIBR227_POINT_3*16
#define N_KOEFF5        CALIBR227_POINT_5*8
#define N_KOEFF7        CALIBR227_POINT_7*8

#define KOEFF227_MAX    N_KOEFF7

#define R_MAX_LC227R 246.0
#define R_MAX_LC227T 108.0
#define R227BEGINCLB 4.0

#define CDBL(x) ((double)((WORD)(x)))

#endif
