/*-------------------------------------------------------------------------*/
/*   p  p  CONNECT_LC501 */
/*-------------------------------------------------------------------------*/
#ifndef __LC501_H
#define __LC501_H



#define CONNECT_NORMAL   0x55555555L //  I+ -  DAC+,  I- -  DAC-
#define CONNECT_INVERSE  0xAAAAAAAAL //  I+ -  DAC-( ),  I- -  DAC+

#define CONNECT_CHESS1   0x99999999L // 1001 1001 1001 1001 ...
#define CONNECT_CHESS2   0x66666666L // 0110 0110 0110 0110 ...

#define CONNECT_ZERO     0x00000000L //  -  DAC-, ..  
#define CONNECT_SYNPHASE 0xFFFFFFFFL //  :   DAC+

#define CONNECT_TESTZAG  0x49249249L // S+, S-, 0,   S+, S-, 0,  S+, S-, 0,...

long CalculateConnect(int Channels[]);
#endif